Cannot launch any radios

Issue #273 new
Louis MILCENT
created an issue

Helllo all.

When I clic on a radio, wait, and finally quit, I have this message in my terminal :

/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py:64: FutureWarning: The behavior of this method will change in future versions. Use specific 'len(elem)' or 'elem is not None' test instead.
  if(cfg_provider._settingExists("buffer_size")):
/usr/lib/python2.7/dist-packages/radiotray/SysTray.py:100: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:7:19: Theming engine 'adwaita' not found

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:81:5: '/*' in comment block

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:82:10: Missing name of pseudo-class

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:193:18: Expected a border style

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:845:24: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:855:14: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:875:24: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:920:22: Not a valid image

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:942:19: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:943:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:953:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:966:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:996:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1018:21: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1025:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1426:16: 'border-style' is not a valid color name

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1887:4: Junk at end of value

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3456:38: Missing closing bracket at end of linear gradient

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gnome-applications.css:274:22: Not a valid image

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gnome-applications.css:738:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:150:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: gtk.css:182:31: Failed to import: Erreur à l'ouverture du fichier : No such file or directory

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:98:22: Not a valid image

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:230:14: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:230:16: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:230:22: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:232:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:233:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:249:20: Not using units is deprecated. Assuming 'px'.

(radiotray:10051): Gtk-WARNING **: Theme parsing error: granite-widgets.css:250:20: Not using units is deprecated. Assuming 'px'.
Sleep Timer, Stops playing after a predefined time, SleepTimerPlugin.py, Carlos Ribeiro
StationSwitcher, Allows cycling through stations, StationSwitcherPlugin.py, Mark F
HelloWorld, This is a test plugin, HelloWorld.py, Carlos Ribeiro
started
Notifications, Shows message notifications on the desktop, NotificationPlugin.py, Carlos Ribeiro
/usr/share/radiotray/plugins/NotificationPlugin.py:25: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
Mate Media Keys, Controls Radio Tray through keyboard multimedia keys, MateMediaKeysPlugin.py, Ken
Gnome Media Keys, Controls Radio Tray through keyboard multimedia keys, GnomeMediaKeysPlugin.py, Carlos Ribeiro
History, Shows song history, HistoryPlugin.py, Carlos Ribeiro

Here the log file :

2016-05-25 16:36:15,549 - DEBUG - Loading configuration...
2016-05-25 16:36:15,550 - INFO - Starting Radio Tray...
2016-05-25 16:36:15,550 - INFO - Loading bookmarks file: /home/louis/.local/share/radiotray/bookmarks.xml
2016-05-25 16:36:15,551 - DEBUG - Bookmarks file loaded with success
2016-05-25 16:36:15,552 - DEBUG - PLS playlist decoder
2016-05-25 16:36:15,552 - DEBUG - M3U playlist decoder
2016-05-25 16:36:15,552 - DEBUG - ASX-familiy playlist decoder
2016-05-25 16:36:15,552 - DEBUG - XSPF playlist decoder
2016-05-25 16:36:15,552 - DEBUG - Initializing ASF playlist decoder
2016-05-25 16:36:15,552 - DEBUG - RAM playlist decoder
2016-05-25 16:36:15,552 - INFO - Using url timeout = 100
2016-05-25 16:36:15,552 - DEBUG - Initializing gstreamer...
2016-05-25 16:36:15,555 - DEBUG - Loading playbin...
2016-05-25 16:36:15,560 - DEBUG - GStreamer initialized.
2016-05-25 16:36:15,560 - DEBUG - Tooltip manager initialized.
2016-05-25 16:36:15,561 - DEBUG - App Indicator selected
2016-05-25 16:36:15,688 - DEBUG - GUI initialized
2016-05-25 16:36:15,690 - INFO - finding plugins in user plugin path
2016-05-25 16:36:15,690 - INFO - finding plugins in system plugin path
2016-05-25 16:36:15,690 - DEBUG - /usr/share/radiotray/plugins/StationSwitcher.plugin
2016-05-25 16:36:15,690 - DEBUG - /usr/share/radiotray/plugins/matemediakeys.plugin
2016-05-25 16:36:15,690 - DEBUG - /usr/share/radiotray/plugins/notification.plugin
2016-05-25 16:36:15,690 - DEBUG - /usr/share/radiotray/plugins/sleeptimer.plugin
2016-05-25 16:36:15,691 - DEBUG - /usr/share/radiotray/plugins/gnomemediakeys.plugin
2016-05-25 16:36:15,691 - DEBUG - /usr/share/radiotray/plugins/history.plugin
2016-05-25 16:36:15,691 - DEBUG - /usr/share/radiotray/plugins/helloworld.plugin
2016-05-25 16:36:18,051 - DEBUG - Request to play
2016-05-25 16:36:18,053 - DEBUG - connecting
2016-05-25 16:38:11,405 - INFO - Exiting...

I am on Voyager 16.04 LTS, witch is a Ubuntu based OS. Only the graphical environnment is modified. But radiotray was installed by the OS installator, not me.

Any solution for my problem ?

Thanks !

Comments (4)

  1. Louis MILCENT reporter

    After another test, that my favorite radio that doesn't work with radio tray. Do you know how can I fix that ?

    Before that was working..

    The Radio is "Ouï FM"

  2. Josef K

    Try to delete or replace non-standard characters from the name of station. I had the same issue, and after I change all the czech characters like č,ř,ž,á,í,ů.... it started work again. I did changes directly in /home/username/.local/share/radiotray/bookmarks.xml

  3. Log in to comment